# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::ResourceDatabase Class Reference

The ResourceDatabase class contains and manipulates a set of resources. More...

`#include <ResourceDatabase.hpp>`

Inheritance diagram for vl::ResourceDatabase:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
const std::vector< ref< Object > > & | resources () const
std::vector< ref< Object > > & | resources ()
template<class T >
unsigned | count () const
template<class T >
T * | get (int j) const
template<class T >
T * | next (int &cur_pos) const
template<class T >
void | extract (std::vector< ref< T > > &resources, bool clear_vector=true)
template<class T >
void | get (std::vector< ref< T > > &resources, bool clear_vector=true)
## Protected Attributes
std::vector< ref< Object > > | mResources

## Detailed Description

The ResourceDatabase class contains and manipulates a set of resources.

It works with any kind of resources derived from vl::Object, even user-customized ones.

## Member Function Documentation

virtual const char* vl::ResourceDatabase::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

const std::vector< ref<Object> >& vl::ResourceDatabase::resources | ( |  | ) | const`[inline]`

std::vector< ref<Object> >& vl::ResourceDatabase::resources | ( |  | ) | `[inline]`

template<class T >

unsigned vl::ResourceDatabase::count | ( |  | ) | const`[inline]`

template<class T >

T* vl::ResourceDatabase::get | ( | int | j | ) | const`[inline]`

template<class T >

T* vl::ResourceDatabase::next | ( | int & | cur_pos | ) | const`[inline]`

template<class T >

void vl::ResourceDatabase::extract | ( | std::vector< ref< T > > & | resources,
|  | bool | clear_vector = `true` |
| ) |  |  | `[inline]`

template<class T >

void vl::ResourceDatabase::get | ( | std::vector< ref< T > > & | resources,
|  | bool | clear_vector = `true` |
| ) |  |  | `[inline]`

## Member Data Documentation

std::vector< ref<Object> > vl::ResourceDatabase::mResources`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/ResourceDatabase.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:03 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.